# Get one published version, including its full definition

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/getautomationversion/

`GET /automation/{id}/version/{vid}`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`vid`** _(string, required)_
  Resource id

## Response body

- **`id`** _(string)_
- **`automation_id`** _(string)_
- **`number`** _(integer)_
- **`tier`** _(string)_
- **`published_by`** _(string)_
- **`published_at`** _(string)_
- **`source_version_id`** _(string,null)_
- **`definition`** _(unknown)_
- **`declared_tools`** _(array<unknown>)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/automation/<id>/version/<vid>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/automation/<id>/version/<vid>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/version/<vid>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
